package com.bocloud.cmp.provider.network;

import com.bocloud.cmp.model.FloatingIpModel;
import com.bocloud.cmp.model.NatGatewayModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;


public interface NatGatewayProvider extends SuperProvider {

    default BocloudResult list() {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult create(NatGatewayModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult remove(String natGatewayId) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult detail(String natGatewayId) {
        return new BocloudResult(false, "need implement");
    }

    
    default BocloudResult modify(NatGatewayModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult remove(String natGatewayId,Boolean force) {
        return new BocloudResult(false, "need implement");
    }



}
